com.ibm.openpages.api.workflow

## Class WFActivityInstanceList

- java.lang.Object
- - com.ibm.openpages.api.workflow.WFActivityInstanceList

- All Implemented Interfaces:
    java.io.Serializable

      public class WFActivityInstanceList
      extends java.lang.Object
      implements java.io.Serializable

  The list class to provide fetching result of activity instances Refer `IWorkflowService.getActivityInstances(IWFActivityInstanceFindOptions)`
  Since:
    8.0.0.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WFActivityInstanceList(int totalResultCount, java.util.List<IWFActivityInstance> activityInstances)`
    `WFActivityInstanceList(int totalResultCount, java.util.List<IWFActivityInstance> activityInstances, java.util.List<Id> contextualObjectTypes, java.util.List<Id> contextualProcessDefinitions, java.util.List<Id> contextualActivityIds, java.util.List<java.lang.String> contextualActivityLabels, java.util.List<IWFResultDateCount> dueDateCounts)`
    `WFActivityInstanceList(java.util.List<IWFActivityInstance> activityInstances)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IWFActivityInstance>` | `getActivityInstances()` Get the list of `IWFActivityInstance` results based on the Search options provided via `IWFActivityInstanceFindOptions`
    `java.util.List<Id>` | `getContextualActivityIds()` Returns a list of activity ids relevant to the result set.
    `java.util.List<java.lang.String>` | `getContextualActivityLabels()` Returns a list of activity labels relevant to the result set.
    `java.util.List<Id>` | `getContextualObjectTypes()` Returns a list of object type ids relevant to the result set.
    `java.util.List<Id>` | `getContextualProcessDefinitions()` Returns a list of process definition ids relevant to the result set.
    `java.util.List<IWFResultDateCount>` | `getDueDateCounts()`
    `int` | `getTotalResultCount()` Returns the total count of results regardless of paging..

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WFActivityInstanceList

          public WFActivityInstanceList(java.util.List<IWFActivityInstance> activityInstances)

    - #### WFActivityInstanceList

          public WFActivityInstanceList(int totalResultCount,
                                        java.util.List<IWFActivityInstance> activityInstances)

    - #### WFActivityInstanceList

          public WFActivityInstanceList(int totalResultCount,
                                        java.util.List<IWFActivityInstance> activityInstances,
                                        java.util.List<Id> contextualObjectTypes,
                                        java.util.List<Id> contextualProcessDefinitions,
                                        java.util.List<Id> contextualActivityIds,
                                        java.util.List<java.lang.String> contextualActivityLabels,
                                        java.util.List<IWFResultDateCount> dueDateCounts)

  - ### Method Detail

    - #### getTotalResultCount

          public int getTotalResultCount()

      Returns the total count of results regardless of paging..
      Returns:
        The total count.

    - #### getActivityInstances

          public java.util.List<IWFActivityInstance> getActivityInstances()

      Get the list of `IWFActivityInstance` results based on the Search options provided via `IWFActivityInstanceFindOptions`
      Returns:

    - #### getContextualObjectTypes

          public java.util.List<Id> getContextualObjectTypes()

      Returns a list of object type ids relevant to the result set. These are only returned if `IWFActivityInstanceFindOptions.isIncludeContextualAttributes()` is true.
      Returns:

    - #### getContextualProcessDefinitions

          public java.util.List<Id> getContextualProcessDefinitions()

      Returns a list of process definition ids relevant to the result set. These are only returned if `IWFActivityInstanceFindOptions.isIncludeContextualAttributes()` is true.
      Returns:

    - #### getContextualActivityLabels

          public java.util.List<java.lang.String> getContextualActivityLabels()

      Returns a list of activity labels relevant to the result set. These are only returned if `IWFActivityInstanceFindOptions.isIncludeContextualAttributes()` is true.
      Returns:

    - #### getContextualActivityIds

          public java.util.List<Id> getContextualActivityIds()

      Returns a list of activity ids relevant to the result set. These are only returned if `IWFActivityInstanceFindOptions.isIncludeContextualAttributes()` is true.
      Returns:

    - #### getDueDateCounts

          public java.util.List<IWFResultDateCount> getDueDateCounts()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.